#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include<stdlib.h>
#include<netdb.h>
#include<arpa/inet.h>
#include<strings.h>


#define SERVER_TCP_PORT  5750   /* well known port */
#define BUFLEN 256        /* buffer length */
int main(int argc, char **argv)
{
       signed int n,i,j,data[10],sum=0;
        int sd, new_sd, client_len, port;
        struct sockaddr_in server, client;
        char  buf[BUFLEN];

        port = atoi(argv[1]);
     
        /* create a stream socket */
        if((sd = socket(AF_INET, SOCK_STREAM, 0)) == -1)
        {
                fprintf(stderr,"can't create a socket\n");
                exit(1);
        }
	printf("socket connected\n");
        /* bind an address to the socket */
        bzero((char *) &server, sizeof(struct sockaddr_in));
        server.sin_family = AF_INET;
        server.sin_port = htons(port);
        server.sin_addr.s_addr = htonl(INADDR_ANY);

        if(bind(sd, (struct sockaddr *)&server, sizeof(server)) == -1)
        {
                fprintf(stderr, "can't bind name to socket\n");
                exit(1);
        }

        /* queue up to 5 connect requests */
        listen(sd,5);

       while(1)
       {
                client_len = sizeof(client);

                if((new_sd = accept(sd, (struct sockaddr *) &client, &client_len)) == -1)
                {
                       // fprintf(stderr, "can't accept client\n");
                        exit(1);
                }

		n=read(new_sd,data,BUFLEN);

		for(i=0;i<6;i++)
		{
			sum+=data[i];
		}
		//printf("\nsum= %d\n",sum);
		if(sum==0)
		  printf("no error\n");
		else
		  printf("error in data\n");

	}     
	close(new_sd);
       
        close(sd);
        return(0);
}
